package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 异常状态(0.缺卡,1.早退,2.缺卡)枚举类
*
* @author zxfei
*/
public enum ErrorStatusEnum {
    缺卡(0, "缺卡"),
    早退(1, "早退"),
    迟到(2, "迟到");
    private Integer value;
    private String desc;

    ErrorStatusEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static ErrorStatusEnum getByValue(Integer value) {
        for (ErrorStatusEnum errorStatusEnum : ErrorStatusEnum.values()) {
            if (errorStatusEnum.getValue() == value) {
                return errorStatusEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (ErrorStatusEnum item : ErrorStatusEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}